## geordi 20080725T0146-1+lenny1

=== debian/changelog ===
geordi (0:20080725T0146-1+lenny1) testing-proposed-updates; urgency=low

  * Ignore (rather than allow) fcntl system call to prevent a DoS. Upstream
    writes:

      By using fcntl with F_SETOWN to make the geordi process the owner of its
      stdout and then using fcntl again to set O_ASYNC on stdout, the C++
      program could have the geordi process receive SIGIO, causing it to shut
      down.

      We only allowed fcntl because g++ appeared to need it. Upon closer
      inspection, it turns out g++ only uses it to check some flags on the
      precompiled header fd, and the system call can just be ignored
      altogether.

    Patch backported from upstream darcs repository.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Jan 2009 21:54:03 +0000

geordi (0:20080725T0146-1) unstable; urgency=low

  * New upstream release.
  * Significantly rework debian/scripts/, including:
    - Tightening of GCC error parsing
    - Stage-specific removed from "_functions" library
    - Use 'exec' in geordi-local wrapper to prevent underlying shell persisting
  * Set default chroot location to /var/lib/geordi/rt as we would like the
    chroot to persist across reboots - the /lib/init/bootclean.sh LSB script
    cleans /var/run on boot.
  * Add additional checks for chroot integrity - the presence of the directory
    is not enough evidence. This prevents geordi mistakenly attempting to
    start despite all the files being removed by /lib/init/bootclean.sh.
  * Update upstream copyright text in debian/copyright.
  * Add a sentence regarding the resource limits to the package description.
  * Rework security description in README.Debian.
  * Update debian/rules clean target to reflect new testsuite binary name.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 25 Jul 2008 05:24:24 +0100

geordi (0:20080711T2132-1) unstable; urgency=low

  * New upstream release.
    - Compile libtpreload.so for better error messages and to extend some
      built-in functions.
    - Favour .so over .a when building chroot.
    - Always favour GCC-provided libstdc++.so.6 for when generated binaries
      bump GLIBCXX_ version.
  * Replace Haskell scripts with shell variants to avoid binary dependency on
    ghc6.
  * Bump Standards-Version to 3.8.0.
  * Refresh 02-dcc-c++0x-support-missing-unordered-map.diff patch.
  * Patch scripts/compile-common to correct location of hsc2hs6.
  * Migrate bot-config configuration files to irc-config.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 29 May 2008 07:33:47 +0100

geordi (0:20080509T0027-1) unstable; urgency=low

  * New upstream version.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 09 May 2008 13:50:48 +0100

geordi (0:20080416T2132-1) unstable; urgency=low

  * New upstream release.
    - Default compile-config uses -O2 to enable certain warnings.
  * Upload to unstable.
  * Don't compile prelude twice.
  * Use ${LINK_FLAGS} from configuration instead of hard-coding -lmcheck.
  * Add message when refreshing chroot.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 18 Apr 2008 16:27:16 +0100

geordi (0:20080409T2234-1) experimental; urgency=low

  * New upstream release.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 13:21:35 +0100

geordi (0:20080331T1904-1) experimental; urgency=low

  * Initial release. (Closes: #455751)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Wed, 02 Apr 2008 09:34:46 +0100
