=== debian/control ===
Source: geordi
Section: net
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 5), ghc6 (>= 6.6.1), quilt, libboost-dev, libghc6-parallel-dev, libghc6-mtl-dev, libghc6-regex-compat-dev, libghc6-network-dev, libghc6-irc-dev, libghc6-utf8-string-dev
Standards-Version: 3.8.0
Vcs-Git: git://git.chris-lamb.co.uk/pkg-geordi.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=pkg-geordi.git
Homepage: http://www.eelis.net/geordi/

Package: geordi
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, g++ | g++-4.2 | g++-4.1 | g++-4.3, libboost-dev
Suggests: rlwrap
Description: IRC bot and interactive shell that evaluates C++ snippets
 Geordi is an IRC bot that compiles and (optionally) runs C++ code snippets.
 It is intended to be used as a demonstration tool when teaching or discussing
 C++ online. A ptrace(2)-based security mechanism ensures that malicious code
 cannot alter files nor consume excessive resources.
 .
 Geordi can also be run in 'local mode', where it is similar to the interactive
 environments of Ruby and Python.
 .
 A geordi bot by the name "geordi" is present on Freenode in the channels
 ##iso-c++, ##c++, and #geordi, although this instance is referred to as
 "geordi prime" to avoid confusion with the software.
