=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

build: patch build-stamp
build-stamp:
	dh_testdir
	set -e; for FILE in `find debian/scripts/ -type f`; do sh -n $$FILE; done
	chmod +x scripts/compile-irc scripts/compile-base scripts/getsyscalls
	scripts/compile-base
	scripts/compile-irc
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f geordi-irc geordi-local geordi-testsuite src/*.o src/*.hi src/*_hsc.* src/EvalCxx.hs src/Ptrace.hs src/SysCalls.hs src/Flock.hs src/Resource.hs src/Sys.hs
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install
	dh_installdirs
	find debian/geordi/usr/share/geordi/refresh.d/ -type f | xargs chmod a+x

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch
