=== debian/watch ===
version=3
http://www.eelis.net/geordi/snapshots/ geordi-(.*).tar.gz
